package com.ffii.fpsms.modules.stock.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface EscalationLogRepository: AbstractRepository<EscalationLog, Long> {
//    fun findAllByHandler(handler: Long): List<SupervisionApprovalLog>
    fun findAllInfoByDeletedFalse(): List<EscalationLogInfo>

    fun findAllInfoByDeletedFalseAndStockInLineIdIn(stockInLineIds: List<Serializable>): List<EscalationLogInfo>

    fun findAllByDeletedFalseAndStockInLineIdIn(stockInLineIds: List<Serializable>): List<EscalationLog>

    fun findAllInfoByDeletedFalseAndHandlerIdIs(handlerId: Serializable): List<EscalationLogInfo>
}